org.apache.poi.xddf.usermodel.chart

## Class XDDFChartLegend

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartLegend

- All Implemented Interfaces:
    TextContainer

      @Beta
      public final class XDDFChartLegend
      extends java.lang.Object
      implements TextContainer

  Represents a DrawingML chart legend

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFChartLegend(org.openxmlformats.schemas.drawingml.x2006.chart.CTChart ctChart)` Create a new DrawingML chart legend

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFLegendEntry` | `addEntry()`
    `<R> java.util.Optional<R>` | `findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter)`
    `<R> java.util.Optional<R>` | `findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter)`
    `java.util.List<XDDFLegendEntry>` | `getEntries()`
    `XDDFLegendEntry` | `getEntry(int index)`
    `XDDFChartExtensionList` | `getExtensionList()`
    `XDDFLayout` | `getLayout()`
    `XDDFManualLayout` | `getOrAddManualLayout()`
    `LegendPosition` | `getPosition()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()`
    `XDDFTextBody` | `getTextBody()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend` | `getXmlObject()` Return the underlying CTLegend bean.
    `boolean` | `isOverlay()`
    `void` | `setExtensionList(XDDFChartExtensionList list)`
    `void` | `setLayout(XDDFLayout layout)`
    `void` | `setOverlay(boolean value)`
    `void` | `setPosition(LegendPosition position)`
    `void` | `setShapeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties properties)`
    `void` | `setTextBody(XDDFTextBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFChartLegend

          public XDDFChartLegend(org.openxmlformats.schemas.drawingml.x2006.chart.CTChart ctChart)

      Create a new DrawingML chart legend

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend getXmlObject()

      Return the underlying CTLegend bean.
      Returns:
        the underlying CTLegend bean

    - #### getShapeProperties

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

    - #### setShapeProperties

          @Internal
          public void setShapeProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties properties)

    - #### getTextBody

          public XDDFTextBody getTextBody()

    - #### setTextBody

          public void setTextBody(XDDFTextBody body)

    - #### addEntry

          public XDDFLegendEntry addEntry()

    - #### getEntry

          public XDDFLegendEntry getEntry(int index)

    - #### getEntries

          public java.util.List<XDDFLegendEntry> getEntries()

    - #### setExtensionList

          public void setExtensionList(XDDFChartExtensionList list)

    - #### getExtensionList

          public XDDFChartExtensionList getExtensionList()

    - #### setLayout

          public void setLayout(XDDFLayout layout)

    - #### getLayout

          public XDDFLayout getLayout()

    - #### setPosition

          public void setPosition(LegendPosition position)

    - #### getPosition

          public LegendPosition getPosition()

    - #### getOrAddManualLayout

          public XDDFManualLayout getOrAddManualLayout()

    - #### isOverlay

          public boolean isOverlay()

    - #### setOverlay

          public void setOverlay(boolean value)

    - #### findDefinedParagraphProperty

          public <R> java.util.Optional<R> findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet,
                                                                        java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter)

      Specified by:
        `findDefinedParagraphProperty` in interface `TextContainer`

    - #### findDefinedRunProperty

          public <R> java.util.Optional<R> findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet,
                                                                  java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter)

      Specified by:
        `findDefinedRunProperty` in interface `TextContainer`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.